Package org.eclipse.jface.contentassist

# Interface ISubjectControlContentAssistant

All Superinterfaces:
  `IContentAssistant`, `ITextViewerLifecycle`

All Known Implementing Classes:
  `SubjectControlContentAssistant`

@Deprecated public interface ISubjectControlContentAssistant extends IContentAssistant
Deprecated.
As of 3.2, replaced by Platform UI's field assist support
Extends `IContentAssistant` to allow to install a content assistant on the given content assist subject control.

Since:
  3.0

## Field Summary

### Fields inherited from interface org.eclipse.jface.text.contentassist.IContentAssistant

`CONTEXT_INFO_ABOVE, CONTEXT_INFO_BELOW, PROPOSAL_OVERLAY, PROPOSAL_REMOVE, PROPOSAL_STACKED`

## Method Summary

Modifier and Type
Method
Description
`void`
`install(IContentAssistSubjectControl contentAssistSubjectControl)`
Deprecated.
Installs content assist support on the given subject.

### Methods inherited from interface org.eclipse.jface.text.contentassist.IContentAssistant

`getContentAssistProcessor, install, showContextInformation, showPossibleCompletions, uninstall`

## Method Details

### install

void install(IContentAssistSubjectControl contentAssistSubjectControl)
Deprecated.
Installs content assist support on the given subject.

Parameters:
  `contentAssistSubjectControl` - the one who requests content assist